# https://hub.docker.com/r/hsuyelin/nas-tools
# 原作者不再维护nas-tools，因为被派派助手（也叫群晖助手）的作者破解了，这是接盘后的镜像，也是破解了的，支持BT，不需要认证

---
version: "3"
# 最后编辑时间：2024-03-11
services:
  nas-tools:
    image: hsuyelin/nas-tools:latest
    # 镜像地址
    container_name: nas-tools
    # 容器名字
    hostname: nas-tools
    # 主机名
    # privileged: true
    # 特权模式，赋予容器几乎与主机相同的权限
    volumes:
      - /volume1/docker/nas-tools:/config
      # 配置文件目录
      - 【这里替换为你的数据下载存放目录】:/downloads
      # 下载目录，多个目录需要分别映射进来，需要满足配置文件说明中的要求
      # 新手不懂就和qb一样的/downloads映射路径，也不要乱改qb设置里面的/downloads，tr同理
      - 【这里替换为你的媒体库总目录】:/Media
      # 媒体库目录
      - 【这里替换为你想映射到NST内的路径】:/【NST内显示的目录的名字】
      # 可以自定义多个，容器和路径均可一样，建议映射一个较为最上级的路径作为总目录
    environment:
      - PUID=1000
      - PGID=100
      # 用户和用户组权限，ssh中使用“id 用户名”查看，用户组一般为100(users)
      # 第一个用户而言，群晖为1026，新绿联为1001，linux类系统为1000，后续用户均+1
      - UMASK=022
      # 默认创建新文件的权限，一般写022
      - TZ=Asia/Shanghai
      # 时区
      - NASTOOL_AUTO_UPDATE=false
      # 不推荐自动更新
    network_mode: bridge
    # network_mode: host
    # 推荐使用bridge模式，3000有别的docker镜像要用
    # 也可以使用host模式，设置内可以修改容器端口
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    ports:
      - 3390:3000/tcp
      # WebUI http端口
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3